Document structure/de: Difference between revisions

From FreeCAD Documentation
(Created page with 'left Ein FreeCAD Dokument enthällt alle Objekte Ihrer Scene. Es kann Gruppen enthalten und Objekte die Sie mit Werkbänken erstellt haben. Dahe…')
 
No edit summary
Line 24: Line 24:
==Scripting==
==Scripting==


Dokumente können sehr einfach mittels des Python-interpreters erstellt und modifiziert werden. Zum Beispiel:
Documents can be easily created, accessed and modified from the python interpreter. For example:
FreeCAD.ActiveDocument
FreeCAD.ActiveDocument
Gibt das aktuelle(aktive) Dokument zurück
Will return the current (active) document
FreeCAD.ActiveDocument.Blob
FreeCAD.ActiveDocument.Blob
Would access an object called "Blob" inside your document
Greift auf das Objekt namens "Blob" innerhalb Ihres Dokuments zu
FreeCADGui.ActiveDocument
FreeCADGui.ActiveDocument
Ergibt das Ansicht-Dokument, das verbunden ist, mit dem aktuellen Dokument
Will return the view document associated to the current document
FreeCADGui.ActiveDocument.Blob
FreeCADGui.ActiveDocument.Blob
Greift zu auf den grafischen Darstellungsteil(view) Ihres Blob-Objekts
Would access the graphical representation (view) part of our Blob object
FreeCADGui.ActiveDocument.ActiveView
FreeCADGui.ActiveDocument.ActiveView
Gibt die aktuelle Ansicht zurück
Will return the current view


{{docnav/de|Navigieren im 3D-Raum|Preferences Editor/de}}
{{docnav/de|Navigieren im 3D-Raum|Preferences Editor/de}}

Revision as of 12:31, 22 April 2011

Ein FreeCAD Dokument enthällt alle Objekte Ihrer Scene. Es kann Gruppen enthalten und Objekte die Sie mit Werkbänken erstellt haben. Daher können Sie zwischen Werkbänken wechseln und immer noch im selben Dokument arbeiten. Es ist das Dokument das gespeichert wird, wenn Sie Ihre Arbeit auf Datenträger speichern. Sie können sowohl mehrere Dokumente gleichzeitg in FreeCAD öffnen, als auch mehrere Ansichten im selben Dokument.


 File:Baustelle.gif NOCH in Bearbeitung !!

.


Inside the document, the objects can be moved into and groups, and have a unique name. Managing groups, objects and object names is done mainly from the Tree view. It can also be done, of course, like everything in FreeCAD, from the python interpretor. In the Tree view, you can create groups, move objects to groups, delete objects or groups, by right-clicking in the tree view or on an object, rename objects by double-clicking on their names, or possibly other operations, depending on the current workbench.

The objects inside a FreeCAD document can be of different types. Each workbench can create its own types of objects, for example the Mesh Workbench creates mesh objects, the Part Workbench create Part objects, the Draft Workbench also creates Part objects, etc.

If there is at least one document open in FreeCAD, there is always one and only one active document. That's the document that appears in the current 3D view, the document you are currently working on.

Application and User Interface

Like almost everything else in FreeCAD, the user interface part (Gui) is separated from the base application part (App). This is also valid for documents. The documents are also made of two parts: the Application document, which contains our objects, and the View document, which contains the representation on screen of our objects.

Think of it as two spaces, where the objects are defined. Their constructive parameters (is it a cube? a cone? which size?) are stored in the Application document, while their graphical representation (is it drawn with black lines? with blue faces?) are stored in the View document. Why is that? Because FreeCAD can also be used WITHOUT graphical interface, for example inside other programs, and we must still be able to manipulate our objects, even if nothing is drawn on the screen.

Another thing that is contained inside the View document are 3D views. One document can have several views opened, so you can inspect your document from several points of view at the same time. Maybe you would want to see a top view and a front view of your work at the same time? Then, you will have two views of the same document, both stored in the View document. Create new views or close views can be done from the View menu or by right-clicking on a view tab.

Scripting

Dokumente können sehr einfach mittels des Python-interpreters erstellt und modifiziert werden. Zum Beispiel:

FreeCAD.ActiveDocument

Gibt das aktuelle(aktive) Dokument zurück

FreeCAD.ActiveDocument.Blob

Greift auf das Objekt namens "Blob" innerhalb Ihres Dokuments zu

FreeCADGui.ActiveDocument

Ergibt das Ansicht-Dokument, das verbunden ist, mit dem aktuellen Dokument

FreeCADGui.ActiveDocument.Blob

Greift zu auf den grafischen Darstellungsteil(view) Ihres Blob-Objekts

FreeCADGui.ActiveDocument.ActiveView

Gibt die aktuelle Ansicht zurück

Navigieren im 3D-Raum
Preferences Editor/de
Available translations of this page: Template:Se